Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 01-21-05, 08:57 AM   #61
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

@vherva: that's a known problem with Linux 2.6.11 pre-release kernels (also with some SuSE update kernels) and NvAGP; this problem will be addressed in the upcoming driver release. Please use AGPGART or downgrade to an older kernel until then.
zander is offline   Reply With Quote
Old 01-21-05, 09:26 AM   #62
skye777
Registered User
 
Join Date: Jan 2005
Posts: 2
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

I appreciate the speedy reply! Sometimes in these challenges we just need to be told to stop scratching the sore spot for a while. Can you say when a fix for this particular problem might come down the pipeline?

Overall, I have much preferred the nVidia products, and paid a premium for this card over a similar ATI offering at the store. Both claim OpenGL support, but my past experience has been that nVidia's support is more genuine. (The last time I tried to download an ATI graphics driver, I needed to move over to an XP machine to access it; their site was disabled to Mozilla and Firebird both!) However, my need for speed won't wait until spring.

Thanks, Zander, for the help and hope.

Skye
skye777 is offline   Reply With Quote
Old 01-21-05, 03:18 PM   #63
sundru
Registered User
 
Join Date: Jan 2005
Posts: 3
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

thank god for this forum i just joined up and was beating my head on my rather hard computer table cause i couldnt get my 6800 GT working on suse 9.2 x86_64
anyone knows if 6800 GT is supported in the latest AMD 64 driver release ?
__________________
Dual Opteron 246 HE 2.0 GHzx2
Nvidia 6800 GT - 256 MB
Tyan S2875 Tiger Dualie
OCZ 1GB PC 3200 ECC registered
200 GB Western Digital 7.2 K
Mercury 550W EPS 12V
X86_64 SMP Suse 9.2
sundru is offline   Reply With Quote
Old 01-21-05, 03:35 PM   #64
knpguy2004
Registered User
 
Join Date: Jan 2005
Posts: 4
Default GeForce MX 4000 and nVidia screen freeze

I would like to know if I have the same problem that is being talked about here.

I have GeForce MX 4000 128 MB 8x AGP card. I am using Fedora core 3. After installing 6629 driver, during X boot, nVidia splash screen freezes. I can login invisibly but can't see what is going on.

I have tried with 2.6.9 kernel as well.

Am I experiencing the same problem? Does anybody know if GeForce MX 4000 card is causing this problem?
knpguy2004 is offline   Reply With Quote
Old 01-22-05, 04:35 AM   #65
vherva
Registered User
 
Join Date: Aug 2003
Posts: 25
Smile Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

Quote:
Originally Posted by zander
@vherva: that's a known problem with Linux 2.6.11 pre-release kernels (also with some SuSE update kernels) and NvAGP; this problem will be addressed in the upcoming driver release. Please use AGPGART or downgrade to an older kernel until then.
zander: Big thanks!

Option "NvAgp" "2"
and
CONFIG_AGP=m
CONFIG_AGP_INTEL=m

Did the trick. (I would have thanked you earlier, but somehow I misconfigured the nv news forum email notifier...)

ckolivas: Sorry for the stupid question. I found http://bhhdoa.org.au/pipermail/ck/20...ry/002615.html.
vherva is offline   Reply With Quote
Old 01-22-05, 08:05 AM   #66
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

@knpguy2004: you're most likely affected by the problem I pointed out to skye777.
zander is offline   Reply With Quote
Old 01-23-05, 02:58 PM   #67
Big P
Registered User
 
Join Date: Dec 2004
Posts: 180
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

Just to say, as a matter of interest it'd be nice if this was fixed in the next release too. Don't wanna be using the old old drivers at that stage

http://www.nvnews.net/vbulletin/showthread.php?t=43300
Big P is offline   Reply With Quote
Old 01-23-05, 11:30 PM   #68
serge
Registered User
 
Join Date: Jan 2005
Posts: 1
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

Could someone post a list of steps to follow in order to get this working ? Ie what exactly is required to get the 6629 working with 2.6.10 ? Do Con's patches need Zander's patches to work ?

Tx
serge is offline   Reply With Quote

Old 01-25-05, 08:01 AM   #69
knpguy2004
Registered User
 
Join Date: Jan 2005
Posts: 4
Default GeForce MX 4000 and nVidia screen freeze

Quote:
Originally Posted by zander
@knpguy2004: you're most likely affected by the problem I pointed out to skye777.
Thanks zander for your help. You were correct. It indeed was a problem with my GeForce MX 4000 card.

Here is a quick update on my situation and what I had to do. Hope this post is not out of place.

Since I am interested in setting up 'mythtv' (I am using Jarod D. Wilson's mythtv setup instruction for Fedora ) and want to use mostly ATRPMs (which are only maintained for latest kernels), my aim was to get my graphics card to work on kernel '2.6.10-1.737-FC3'

Note: 'Screen freezes mouse moves' error is very well known error (lots of info on this forum and around internet)

Here are some trial and errors I did with 'Chaintech GeForce 2 MX 4000'. Hope these will help people figure out if they need to move on with another card. I tried various solutions posted on this and other site but to no avail.

- kernel 2.6.9-1.667, nVidia driver 6111 gives 'Unable to load kernel module nvidia.ko' error

- kernel 2.6.9-1.667, patched nVidia driver 6111 WORKS GREAT (but I don't want to use this kernel)

- kernel 2.6.10-1.737-FC3, nVidia driver 6629 from ATRPM produces 'Screen freezes mouse moves' error

- kernel 2.6.10-1.737-FC3, nVidia driver 6629 produces 'Screen freezes mouse moves' error

- kernel 2.6.10-1.737-FC3, nVidia driver 6111 gives me 'Unable to load kernel module nvidia.ko' error

- kernel 2.6.10-1.737-FC3, patched nVidia 6111 driver still gives me 'Unable to load kernel module nvidia.ko' error

So you can see I couldn't not get my 'Chaintech GeForce 2 MX 4000' to work with 2.6.10 kernel. I went ahead and bought 'MSI GeForce 2 FX 5200' card and wallah !!!!!! It works great.

Now I am not sure if nVidia driver modules in ATRPM already incorporates the patches posted in this thread. May be they are.

So my working configuration is

Motherboard:ABIT KV7V
Processor: AMD Sempron 2800+
Graphics Card: MSI GeForce 2 FX 5200
Linux Installation: Fedora Core 3
Kernel: 2.6.10-1.737-FC3
nVidia Graphics driver: Version 6629 from ATRPM (6629 downloaded from nvidia driver page should work as well)

Hope this helps other people who are in similar situation as me.

- knpguy2004
knpguy2004 is offline   Reply With Quote
Old 01-25-05, 03:46 PM   #70
magicblaze
Registered User
 
Join Date: Jan 2005
Posts: 1
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

When I try to compile it on my 2.6.11-rc1-mm1 I get an error

/tmp/NVIDIA-Linux-x86_64-1.0-6629-pkg0/usr/src/nv/nv.c: In function `_get_ph
ys_address':
/tmp/NVIDIA-Linux-x86_64-1.0-6629-pkg0/usr/src/nv/nv.c:2508: error: structur
e has no member named `pud'
/tmp/NVIDIA-Linux-x86_64-1.0-6629-pkg0/usr/src/nv/nv.c: In function `nv_agp_
init':
/tmp/NVIDIA-Linux-x86_64-1.0-6629-pkg0/usr/src/nv/nv.c:2991: warning: `inter
_module_put' is deprecated (declared at include/linux/module.h:578)
make[4]: *** [/tmp/NVIDIA-Linux-x86_64-1.0-6629-pkg0/usr/src/nv/nv.o] Error
1

Anyone knows how to solve this problem?

Thanks,
magicblaze is offline   Reply With Quote
Old 01-26-05, 08:32 AM   #71
Sblantipodi
Registered User
 
Sblantipodi's Avatar
 
Join Date: Apr 2003
Location: Italy
Posts: 154
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

But what kind of problem you have with 2.6.10?

I've got Fedora Core 3 with Vanilla 2.6.10 rebuild by me and I have no problem with 66.29 without patch.

Is there a bug that I don't know?
Sblantipodi is offline   Reply With Quote
Old 01-31-05, 11:47 PM   #72
puremourning
Registered User
 
Join Date: Dec 2004
Posts: 4
Default Re: 1.0-6629 x86/x86-64 and Linux 2.6.10

has anyone had any luck with nvidia drivers on gentoo and 2.6.10? it black screen + lockup for me.

shame, because i need the SATA ATAPI support in 2.6.10
puremourning is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 04:17 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.